Subject: bug#78820: 31.0.50; savehist timer does not run repeatedly

From: Stéphane Marks <[email-masked]>
Date: Wed, 18 Jun 2025 05:56:08 -0400

On Tue, Jun 17, 2025 at 8:24 PM Daniel Mendler via Bug reports for GNU
Emacs, the Swiss army knife of text editors <[email-masked]> wrote:

> It seems that the savehist timer does not run repeatedly. run-with-timer
> is called with repeat argument t.
>
> (run-with-timer savehist-autosave-interval t #'savehist-autosave)
>
> If I understand correctly, the correct call should look like this:
>
> (run-with-timer t savehist-autosave-interval #'savehist-autosave)
> (run-with-timer savehist-autosave-interval savehist-autosave-interval
> #'savehist-autosave)
>

100% right.  I think this silly typo/thinko was me.  I could submit a patch
but I don't have commit access.  It would be faster for this one-liner if
someone else patched.